﻿using System;
using System.Configuration;
using System.Data.OleDb;
using Avebury.Common.Logging;

namespace Avebury.Cmd {
    class Program {
        static void Main(string[] args) {
            try {
                RunMain();
            } catch (Exception e) {
                System.Console.WriteLine("Exception caught: " + e);
            }
        }

        static void RunMain() {
            ILogger log = new FileLogger(ConfigurationManager.AppSettings["FileLogger.LogFile"]);
            log.D("Service starting...");

            var db = new OleDbConnection(ConfigurationManager.ConnectionStrings["SEAdapter.DB"].ConnectionString);

            System.Console.CancelKeyPress += delegate {
                log.D("Cleaning up...");
                Environment.Exit(0);
            };
        }
    }
}
