﻿using System;
using System.IO;
using Con = System.Console;

namespace Avebury.Common.Logging {
    public class FileLogger : ILogger, IDisposable {
        protected FileInfo logFile;
        protected StreamWriter fileWriter;

        public void V(string message) { }
        public void I(string message) { }
        public void D(string message) { WriteToOutput(message); }
        public void E(string message) { WriteToOutput(message); }

        protected void WriteToOutput(string message) {
            fileWriter.WriteLine(DateTime.Now.ToString() + " " + message);
            Con.WriteLine(message);
        }

        public FileLogger(string fileName) {
            logFile = new FileInfo(fileName);
            fileWriter = new StreamWriter(logFile.Open(FileMode.Append, FileAccess.Write, FileShare.ReadWrite));
            fileWriter.AutoFlush = true;
        }

        public static ILogger GetLogger(string fileName) {
            return new FileLogger(fileName);
        }

        public void Dispose() {
            if (fileWriter != null) {
                fileWriter.Close();
                fileWriter.Dispose();
            }
        }
    }
}
