﻿using System;
using System.Diagnostics;

namespace Avebury.Common.Logging {
    public class WindowsEventLogger : ILogger, IDisposable {

        public void I(string message) { }
        public void V(string message) { }

        public void D(string message) {
            EventLog.WriteEntry("AveburyDebug", message, EventLogEntryType.Information);
        }

        public void E(string message) {
            EventLog.WriteEntry("Avebury", message, EventLogEntryType.Error);
        }

        public WindowsEventLogger() {
            if (!EventLog.SourceExists("Avebury")) {
                EventLog.CreateEventSource("Avebury", "Application");
                EventLog.CreateEventSource("AveburyDebug", "Application");
            }
        }

        public static ILogger GetLogger() {
            return new WindowsEventLogger();
        }

        public void Dispose() { }
    }
}
